> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boost.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Find event and function signatures used in Boost configurations

> Retrieve event or function signatures, human readable signature and their ABI which can be used when configuring Boost Actions.



## OpenAPI

````yaml https://api-v2.boost.xyz/openapi.json get /known-signatures
openapi: 3.1.0
info:
  title: Boost V2 API
  description: Get Boosts and sign claims for the Boost Validator
  termsOfService: https://rabbithole-assets.s3.amazonaws.com/BoostStudios_Terms_Of_Service.pdf
  contact:
    url: https://airtable.com/appPys6nAx8smVpTA/shrqpPGsDx2W6oY24
    email: support@boost.xyz
  version: 2.0.0
servers:
  - url: https://api-v2.boost.xyz
    description: Boost V2
security: []
paths:
  /known-signatures:
    get:
      tags:
        - Boost
        - Contract
      summary: Find event and function signatures used in Boost configurations
      description: >-
        Retrieve event or function signatures, human readable signature and
        their ABI which can be used when configuring Boost Actions.
      operationId: getKnownSignatures
      parameters:
        - schema:
            type:
              - integer
              - 'null'
            minimum: 0
            default: 1
            description: The desired page to return from the query
          required: false
          in: query
          name: page
        - schema:
            type:
              - integer
              - 'null'
            minimum: 0
            maximum: 100
            default: 10
            description: >-
              The amount of items to return from the query, defaults to 10, and
              must be <= 100
          required: false
          in: query
          name: pageSize
      responses:
        '200':
          description: Returns a list of Boosts
          content:
            application/json:
              schema:
                type: object
                properties:
                  signatures:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            A hexadecimal string representing the function or
                            event signature. This string will always start with
                            0x, and end with the 32 byte signature. If selector
                            is a function, then the 4 byte signature will be
                            left padded with zeroes to 32 bytes.
                          example: >-
                            0x00000000000000000000000000000000000000000000000000000000a836f32f
                        textSignature:
                          type: string
                          description: >-
                            The human readable function or event signature from
                            the smart contract
                          example: >-
                            mint(address mintTo,uint256 quantity,address
                            collection,uint256 tokenId,address
                            mintReferral,string comment)
                        abiItem:
                          type: object
                          description: >-
                            The JSON of the underlying contract's function or
                            event ABI item
                          example:
                            name: mint
                            type: function
                            inputs:
                              - name: mintTo
                                type: address
                              - name: quantity
                                type: uint256
                              - name: collection
                                type: address
                              - name: tokenId
                                type: uint256
                              - name: mintReferral
                                type: address
                              - name: comment
                                type: string
                            outputs: []
                            stateMutability: nonpayable
                        signatureType:
                          type: string
                          description: Defines if this signature is an event or function
                          example: function
                      required:
                        - id
                        - textSignature
                        - signatureType
                      description: >-
                        An object containing signatures, ABI item JSON, human
                        readable signature, and whether the information is for
                        an event or function
                  count:
                    type: number
                    description: The total number of signatures returned in this api call.
                required:
                  - signatures
                  - count

````